[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Request freeze exception for acpi-support



Dear release managers,

I would like to request a freeze exception for acpi-support. The current
version (0.109-6) in testing has a number of serious or important problems:

* BTS #496911: breaks suspend for many users who don't use
gnome-power-manager due to ill-advised error filtering. Makes the
package unfit for release IMO. [Attached bts496911.patch]

* BTS #497125: a missing include which breaks hibernate button support.
That's half of the package, again, makes it unfit for release. [Attached
bts497125.patch -- includes one bit which should belong in bts497801.patch]

* BTS #497220: uses finger in a very commonly used bit of code without a
Depends. If this is not a serious policy violation, then it should be
one. Fixed by using w instead, which is in a required package. As a side
effect, improves the reliability of this bit of code. [Attached
bts497220.patch]

* BTS #497220 (again -- came up during discussion): CheckPolicy (which
decides if acpi-support is supposed to handle a suspend/hibernate key or
if a desktop power management daemon such as gnome-power-manager is
running) calls the wrong function to determine the current "foreground"
X display info (it called getXuser instead of getXconsole). This makes
it work in some cases, pretty much "by accident", but if multiple X
displays are open it doesn't work at all as intended. [Attached
bts497220-2.patch]

* BTS #497801: acpi-support scripts which are configuration files test
for the existence of files in the wrong package (acpi-support-base) to
see if the package is still installed. Not *that* serious, but it does
look very sloppy and it makes removal of the package without purging a
bit unsafe. [Attached bts497801.patch]

These problems are all fixed in 0.109-9 (currently in unstable), with no
other changes except #497911, which was about fallout from the initial
attempt at a fix for #497220 and whose resulting changes are included in
the attached bts497220.patch.

Note that the attached patches are for review purposes only. They are
split up by hand from the entire diff between 0.109-6 to 0.109-9, and
may not apply cleanly. They do represent all of the changes though.

Cheers,
Bart
diff -Naur acpi-support-0.109-6/lib/suspendorhibernate acpi-support-0.109-9/lib/suspendorhibernate
--- acpi-support-0.109-6/lib/suspendorhibernate	2008-08-19 21:39:15.000000000 +0200
+++ acpi-support-0.109-9/lib/suspendorhibernate	2008-09-04 19:54:01.000000000 +0200
@@ -73,18 +73,22 @@
 			# Call the power management daemon (which, if it is
 			# running, we probably don't know about, since we send
 			# keys if we detect one running that we know of).
-			if ! /usr/bin/dbus-send --session \
+			if /usr/bin/dbus-send --session \
 			  --dest=org.freedesktop.PowerManagement \
 			  --type=method_call \
 			  --print-reply \
 			  --reply-timeout=2000 \
 			  /org/freedesktop/PowerManagement \
-			  org.freedesktop.PowerManagement.$DBUS_METHOD \
-			  2>&1 | grep -q " org.freedesktop.DBus.Error." ;
+			  org.freedesktop.PowerManagement.$DBUS_METHOD ;
 			  then			  
-			  	# Not a DBUS error: other side does exist, and
-			  	# reports an error. That means we don't try
-			  	# anything else.
+			  	# The other side exists, we have access to it,
+			  	# and it received the message. It may have
+			  	# failed (I tested this: if pm-suspend returns
+			  	# exit code 1, then the return code of dbus-send
+			  	# is still 0 and you get no errors), but that
+			  	# doesn't matter: the first method in the list
+			  	# that we can access is the one that has to do
+			  	# it.
 			  	exit
 			fi
 			# We got a DBUS error, which means that the other side
@@ -96,18 +100,22 @@
 	dbus-hal)
 		if [ -x /usr/bin/dbus-send ] ; then
 			# Call HAL directly.
-			if ! /usr/bin/dbus-send --system \
+			if /usr/bin/dbus-send --system \
 			  --dest=org.freedesktop.Hal \
 			  --type=method_call \
 			  --print-reply \
 			  --reply-timeout=2000 \
 			  /org/freedesktop/Hal/devices/computer \
-			  org.freedesktop.Hal.Device.SystemPowerManagement.$DBUS_METHOD $DBUS_PARAMS \
-			  2>&1 | grep -q " org.freedesktop.DBus.Error." ;
+			  org.freedesktop.Hal.Device.SystemPowerManagement.$DBUS_METHOD $DBUS_PARAMS ;
 			  then			  
-			  	# Not a DBUS error: other side does exist, and
-			  	# reports an error. That means we don't try
-			  	# anything else.
+			  	# The other side exists, we have access to it,
+			  	# and it received the message. It may have
+			  	# failed (I tested this: if pm-suspend returns
+			  	# exit code 1, then the return code of dbus-send
+			  	# is still 0 and you get no errors), but that
+			  	# doesn't matter: the first method in the list
+			  	# that we can access is the one that has to do
+			  	# it.
 			  	exit
 			fi
 			# We got a DBUS error, which means that the other side

diff -Naur acpi-support-0.109-6/hibernatebtn.sh acpi-support-0.109-9/hibernatebtn.sh
--- acpi-support-0.109-6/hibernatebtn.sh	2008-06-22 22:59:45.000000000 +0200
+++ acpi-support-0.109-9/hibernatebtn.sh	2008-09-04 14:52:08.000000000 +0200
@@ -1,6 +1,8 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/state-funcs || exit 0
+
+. /usr/share/acpi-support/policy-funcs
 
 if [ `CheckPolicy` = 0 ]; then
   # If gnome-power-manager or klaptopdaemon are running, generate the X "sleep"

diff -Naur acpi-support-0.109-6/lib-base/power-funcs acpi-support-0.109-9/lib-base/power-funcs
--- acpi-support-0.109-6/lib-base/power-funcs	2008-08-19 21:12:39.000000000 +0200
+++ acpi-support-0.109-9/lib-base/power-funcs	2008-09-08 20:32:14.000000000 +0200
@@ -5,11 +5,10 @@
 PATH="$PATH:/usr/bin/X11"
 POWERSTATE="/var/lib/acpi-support/powerstate"
 
+# getXuser gets the X user belonging to the display in $displaynum.
+# If you want the foreground X user, use getXconsole!
 getXuser() {
-        user=`finger| grep -m1 ":$displaynum " | awk '{print $1}'`
-	if [ x"$user" = x"" ]; then
-		user=`finger| grep -m1 ":$displaynum" | awk '{print $1}'`
-	fi
+	user=`w -hs | awk '{ if ($3 == ":'$displaynum'" || $2 == ":'$displaynum'" ) { print $1; exit; } }'`
 	if [ x"$user" = x"" ]; then
 		startx=`pgrep -n startx`
 		if [ x"$startx" != x"" ]; then
@@ -25,6 +24,8 @@
 	export XUSER=$user
 }
 
+
+# getXconsole gets the foreground (console) X user
 getXconsole() {
 	console=`fgconsole`;
 	displaynum=`COLUMNS="" ps ax | grep -e 'X .* vt'$console | grep -v grep | sed -re 's!.*/X .*:([0-9]+).*!\1!' | uniq`

diff -Naur acpi-support-0.109-6/lib-base/policy-funcs acpi-support-0.109-9/lib-base/policy-funcs
--- acpi-support-0.109-6/lib-base/policy-funcs	2008-05-12 20:18:57.000000000 +0200
+++ acpi-support-0.109-9/lib-base/policy-funcs	2008-09-04 12:19:17.000000000 +0200
@@ -1,8 +1,13 @@
 
 . /usr/share/acpi-support/power-funcs
 
+# The (not very aptly named) function CheckPolicy checks if the current X
+# console user is running a power management daemon that handles suspend/resume
+# requests. This is used in various places to determine if we need to handle
+# something ourselves or if we need to pass the info on to a power management
+# daemon (e.g. through a fake key press).
 CheckPolicy() {
-	getXuser
+	getXconsole
 	if pidof gnome-power-manager kpowersave > /dev/null ||
 	   ( test "$XUSER" != "" && pidof dcopserver > /dev/null && test -x /usr/bin/dcop && /usr/bin/dcop --user $XUSER kded kded loadedModules | grep -q klaptopdaemon) ; then
 		echo 0;

diff -Naur acpi-support-0.109-6/asus-touchpad.sh acpi-support-0.109-9/asus-touchpad.sh
--- acpi-support-0.109-6/asus-touchpad.sh	2007-06-03 12:16:10.000000000 +0200
+++ acpi-support-0.109-9/asus-touchpad.sh	2008-09-04 14:54:40.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/state-funcs || exit 0
 
 # get the current state of the touchpad
 TPSTATUS=`synclient -l | awk '/TouchpadOff/ {print $3}'`
diff -Naur acpi-support-0.109-6/asus-wireless.sh acpi-support-0.109-9/asus-wireless.sh
--- acpi-support-0.109-6/asus-wireless.sh	2008-04-30 11:30:42.000000000 +0200
+++ acpi-support-0.109-9/asus-wireless.sh	2008-09-04 14:54:50.000000000 +0200
@@ -1,7 +1,7 @@
 #!/bin/sh
 # Find and toggle wireless devices on Asus laptops
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/state-funcs || exit 0
 
 . /usr/share/acpi-support/state-funcs
 
diff -Naur acpi-support-0.109-6/batterybtn.sh acpi-support-0.109-9/batterybtn.sh
--- acpi-support-0.109-6/batterybtn.sh	2008-03-09 13:30:46.000000000 +0100
+++ acpi-support-0.109-9/batterybtn.sh	2008-09-04 14:54:57.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/key-constants
 
diff -Naur acpi-support-0.109-6/ejectbtn.sh acpi-support-0.109-9/ejectbtn.sh
--- acpi-support-0.109-6/ejectbtn.sh	2008-03-09 13:30:46.000000000 +0100
+++ acpi-support-0.109-9/ejectbtn.sh	2008-09-04 14:55:03.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/key-constants
 acpi_fakekey $KEY_EJECTCD
diff -Naur acpi-support-0.109-6/hibernate.sh acpi-support-0.109-9/hibernate.sh
--- acpi-support-0.109-6/hibernate.sh	2008-06-22 22:42:55.000000000 +0200
+++ acpi-support-0.109-9/hibernate.sh	2008-09-04 14:55:09.000000000 +0200
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/state-funcs || exit 0
 
 /usr/share/acpi-support/suspendorhibernate hibernate
diff -Naur acpi-support-0.109-6/ibm-wireless.sh acpi-support-0.109-9/ibm-wireless.sh
--- acpi-support-0.109-6/ibm-wireless.sh	2008-03-09 13:30:46.000000000 +0100
+++ acpi-support-0.109-9/ibm-wireless.sh	2008-09-04 14:55:16.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/state-funcs || exit 0
 
 # Find and toggle wireless of bluetooth devices on ThinkPads
 
diff -Naur acpi-support-0.109-6/lid.sh acpi-support-0.109-9/lid.sh
--- acpi-support-0.109-6/lid.sh	2008-05-25 13:20:35.000000000 +0200
+++ acpi-support-0.109-9/lid.sh	2008-09-04 14:55:23.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/state-funcs || exit 0
 
 . /usr/share/acpi-support/power-funcs
 . /usr/share/acpi-support/policy-funcs
diff -Naur acpi-support-0.109-6/lockbtn.sh acpi-support-0.109-9/lockbtn.sh
--- acpi-support-0.109-6/lockbtn.sh	2008-03-09 13:30:46.000000000 +0100
+++ acpi-support-0.109-9/lockbtn.sh	2008-09-04 14:55:30.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/key-constants
 
diff -Naur acpi-support-0.109-6/mailbtn.sh acpi-support-0.109-9/mailbtn.sh
--- acpi-support-0.109-6/mailbtn.sh	2008-03-09 13:30:46.000000000 +0100
+++ acpi-support-0.109-9/mailbtn.sh	2008-09-04 14:55:34.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/state-funcs || exit 0
 
 . /etc/default/acpi-support
 . /usr/share/acpi-support/power-funcs
diff -Naur acpi-support-0.109-6/mediabtn.sh acpi-support-0.109-9/mediabtn.sh
--- acpi-support-0.109-6/mediabtn.sh	2008-03-09 13:30:46.000000000 +0100
+++ acpi-support-0.109-9/mediabtn.sh	2008-09-04 14:55:41.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/key-constants
 acpi_fakekey $KEY_MEDIA
diff -Naur acpi-support-0.109-6/mutebtn.sh acpi-support-0.109-9/mutebtn.sh
--- acpi-support-0.109-6/mutebtn.sh	2008-03-09 13:30:46.000000000 +0100
+++ acpi-support-0.109-9/mutebtn.sh	2008-09-04 14:55:47.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/key-constants
 acpi_fakekey $KEY_MUTE
diff -Naur acpi-support-0.109-6/nextbtn.sh acpi-support-0.109-9/nextbtn.sh
--- acpi-support-0.109-6/nextbtn.sh	2008-03-09 13:30:46.000000000 +0100
+++ acpi-support-0.109-9/nextbtn.sh	2008-09-04 14:55:53.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/key-constants
 acpi_fakekey $KEY_NEXTSONG
diff -Naur acpi-support-0.109-6/panabright.sh acpi-support-0.109-9/panabright.sh
--- acpi-support-0.109-6/panabright.sh	2007-10-07 11:19:24.000000000 +0200
+++ acpi-support-0.109-9/panabright.sh	2008-09-04 14:55:57.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 # default span value
 SPAN=1
diff -Naur acpi-support-0.109-6/panapower.sh acpi-support-0.109-9/panapower.sh
--- acpi-support-0.109-6/panapower.sh	2008-03-09 13:31:45.000000000 +0100
+++ acpi-support-0.109-9/panapower.sh	2008-09-04 14:56:07.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-[ -f /usr/share/acpi-support/power-funcs ] || exit 0
+[ -f /usr/share/acpi-support/key-constants ] || exit 0
 
 . /usr/share/acpi-support/power-funcs
 
diff -Naur acpi-support-0.109-6/playbtn.sh acpi-support-0.109-9/playbtn.sh
--- acpi-support-0.109-6/playbtn.sh	2007-06-03 16:50:05.000000000 +0200
+++ acpi-support-0.109-9/playbtn.sh	2008-09-04 14:56:13.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/key-constants
 acpi_fakekey $KEY_PLAYPAUSE
diff -Naur acpi-support-0.109-6/power.sh acpi-support-0.109-9/power.sh
--- acpi-support-0.109-6/power.sh	2008-08-19 21:11:18.000000000 +0200
+++ acpi-support-0.109-9/power.sh	2008-09-04 14:56:21.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /etc/default/acpi-support
 . /usr/share/acpi-support/power-funcs
diff -Naur acpi-support-0.109-6/prepare.sh acpi-support-0.109-9/prepare.sh
--- acpi-support-0.109-6/prepare.sh	2008-03-09 13:32:06.000000000 +0100
+++ acpi-support-0.109-9/prepare.sh	2008-09-04 14:56:27.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-[ -f /usr/share/acpi-support/power-funcs ] || exit 0
+[ -f /usr/share/acpi-support/key-constants ] || exit 0
 
 for SCRIPT in /etc/acpi/suspend.d/*.sh; do
     if [ -f $SCRIPT ] ; then    
diff -Naur acpi-support-0.109-6/prevbtn.sh acpi-support-0.109-9/prevbtn.sh
--- acpi-support-0.109-6/prevbtn.sh	2007-06-03 16:52:33.000000000 +0200
+++ acpi-support-0.109-9/prevbtn.sh	2008-09-04 14:56:31.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/key-constants
 acpi_fakekey $KEY_PREVIOUSSONG
diff -Naur acpi-support-0.109-6/resume.sh acpi-support-0.109-9/resume.sh
--- acpi-support-0.109-6/resume.sh	2007-11-11 14:43:36.000000000 +0100
+++ acpi-support-0.109-9/resume.sh	2008-09-04 14:56:38.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/state-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 # Source from /etc/acpi/resume.d/
 for SCRIPT in /etc/acpi/resume.d/*.sh; do
diff -Naur acpi-support-0.109-6/rotatescreen.sh acpi-support-0.109-9/rotatescreen.sh
--- acpi-support-0.109-6/rotatescreen.sh	2008-03-09 23:19:34.000000000 +0100
+++ acpi-support-0.109-9/rotatescreen.sh	2008-09-04 14:56:45.000000000 +0200
@@ -3,7 +3,7 @@
 # This script rotates the display in TabletPCs when screen is changed from
 # laptop to tablet mode, or when rotation button is pressed
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/power-funcs
 
diff -Naur acpi-support-0.109-6/screenblank.sh acpi-support-0.109-9/screenblank.sh
--- acpi-support-0.109-6/screenblank.sh	2007-06-03 16:54:17.000000000 +0200
+++ acpi-support-0.109-9/screenblank.sh	2008-09-04 14:56:51.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /etc/default/acpi-support
 . /usr/share/acpi-support/power-funcs
diff -Naur acpi-support-0.109-6/sleepbtn.sh acpi-support-0.109-9/sleepbtn.sh
--- acpi-support-0.109-6/sleepbtn.sh	2008-07-06 22:47:16.000000000 +0200
+++ acpi-support-0.109-9/sleepbtn.sh	2008-09-04 14:56:55.000000000 +0200
@@ -6,7 +6,7 @@
 # the rest of the system.
 
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/policy-funcs
 
diff -Naur acpi-support-0.109-6/sleep.sh acpi-support-0.109-9/sleep.sh
--- acpi-support-0.109-6/sleep.sh	2008-08-19 21:30:47.000000000 +0200
+++ acpi-support-0.109-9/sleep.sh	2008-09-04 14:56:58.000000000 +0200
@@ -7,7 +7,7 @@
 # that it actually does something is when it is determined that no other parts
 # of the system are listening (this is what the CheckPolicy call does).
 
-test -f /usr/share/acpi-support/policy-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/policy-funcs
 
diff -Naur acpi-support-0.109-6/sonybright.sh acpi-support-0.109-9/sonybright.sh
--- acpi-support-0.109-6/sonybright.sh	2008-05-12 19:00:27.000000000 +0200
+++ acpi-support-0.109-9/sonybright.sh	2008-09-04 14:57:04.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 modprobe sony-laptop
 
diff -Naur acpi-support-0.109-6/stopbtn.sh acpi-support-0.109-9/stopbtn.sh
--- acpi-support-0.109-6/stopbtn.sh	2007-06-03 16:55:36.000000000 +0200
+++ acpi-support-0.109-9/stopbtn.sh	2008-09-04 14:57:09.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/key-constants
 acpi_fakekey $KEY_STOPCD
diff -Naur acpi-support-0.109-6/thinkpad-lockorbattery.sh acpi-support-0.109-9/thinkpad-lockorbattery.sh
--- acpi-support-0.109-6/thinkpad-lockorbattery.sh	2007-06-03 12:19:58.000000000 +0200
+++ acpi-support-0.109-9/thinkpad-lockorbattery.sh	2008-09-04 14:57:17.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 # Lenovo are great.  They have changed the function of the Fn-F3
 # combination on the LenovoPads from KEY_LOCK => KEY_BATTERY.
diff -Naur acpi-support-0.109-6/thinkpad-stretchortouchpad.sh acpi-support-0.109-9/thinkpad-stretchortouchpad.sh
--- acpi-support-0.109-6/thinkpad-stretchortouchpad.sh	2007-06-03 12:21:33.000000000 +0200
+++ acpi-support-0.109-9/thinkpad-stretchortouchpad.sh	2008-09-04 14:57:21.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 # Lenovo rock.  They have changed the function of the Fn-F8
 # combination on the LenovoPads from stretching the display (in
diff -Naur acpi-support-0.109-6/toshbright.sh acpi-support-0.109-9/toshbright.sh
--- acpi-support-0.109-6/toshbright.sh	2007-06-03 12:23:13.000000000 +0200
+++ acpi-support-0.109-9/toshbright.sh	2008-09-04 14:57:27.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 BRIGHTNESS=$(( `grep brightness: /proc/acpi/toshiba/lcd | cut -d: -f2` + 0 ))
 MAXBRIGHT=$(( `grep brightness_levels: /proc/acpi/toshiba/lcd | cut -d: -f2` - 1 ))
diff -Naur acpi-support-0.109-6/tosh-wireless.sh acpi-support-0.109-9/tosh-wireless.sh
--- acpi-support-0.109-6/tosh-wireless.sh	2007-10-07 11:05:16.000000000 +0200
+++ acpi-support-0.109-9/tosh-wireless.sh	2008-09-04 14:57:31.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/state-funcs
 
@@ -17,4 +17,4 @@
     fi
 else
         toggleAllWirelessStates
-fi
\ No newline at end of file
+fi
diff -Naur acpi-support-0.109-6/voldownbtn.sh acpi-support-0.109-9/voldownbtn.sh
--- acpi-support-0.109-6/voldownbtn.sh	2007-06-03 16:56:35.000000000 +0200
+++ acpi-support-0.109-9/voldownbtn.sh	2008-09-04 14:57:48.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/key-constants
 acpi_fakekey $KEY_VOLUMEDOWN
diff -Naur acpi-support-0.109-6/volupbtn.sh acpi-support-0.109-9/volupbtn.sh
--- acpi-support-0.109-6/volupbtn.sh	2007-06-03 16:56:38.000000000 +0200
+++ acpi-support-0.109-9/volupbtn.sh	2008-09-04 14:57:50.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/key-constants
 acpi_fakekey $KEY_VOLUMEUP
diff -Naur acpi-support-0.109-6/webbtn.sh acpi-support-0.109-9/webbtn.sh
--- acpi-support-0.109-6/webbtn.sh	2007-06-03 16:56:42.000000000 +0200
+++ acpi-support-0.109-9/webbtn.sh	2008-09-04 14:57:54.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -f /usr/share/acpi-support/power-funcs || exit 0
+test -f /usr/share/acpi-support/key-constants || exit 0
 
 . /usr/share/acpi-support/key-constants
 acpi_fakekey $KEY_WWW
diff -Naur acpi-support-0.109-6/wireless.sh acpi-support-0.109-9/wireless.sh
--- acpi-support-0.109-6/wireless.sh	2008-03-09 13:33:47.000000000 +0100
+++ acpi-support-0.109-9/wireless.sh	2008-09-04 14:58:01.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-[ -f /usr/share/acpi-support/state-funcs ] || exit 0
+[ -f /usr/share/acpi-support/key-constants ] || exit 0
 
 # Find and toggle wireless device states
 

Reply to: